<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @category   Resources
 * @package    Resources_View
 * @subpackage Resources_View_Helper
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * CommentInfo view helper
 *
 * @uses       Zend_View_Helper_Abstract
 * @category   Resources
 * @package    Resources_View
 * @subpackage Resources_View_Helper
 */
class Resources_View_Helper_CommentInfo extends Zend_View_Helper_Abstract
{
    /**
     * Returns comment information
     *
     * @param  Resources_Model_ResponseComment $comment
     * @return mixed
     */
    public function commentInfo($comment)
    {
        $params = new stdClass();
        $params->row = "";
        $params->comment =  $comment;
        Singular_Event::dispatch('commentInfo', $params);
        return $params->row;
    }
}
