<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @category   System
 * @package    System_Component
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * Auth forms component
 *
 * @uses       Singular_Component_Abstract
 * @category   System
 * @package    System_Component
 */
class System_Component_AuthForms extends Singular_Component_Abstract
{
    /**
     * Init method
     *
     * Used for initialize component
     *
     * @return void
     */
    public function init ()
    {
        $data = new stdClass();
        $data->forms = array();
        Singular_Event::dispatch('authForms', $data);
        $this->assignViewVar('forms' , $data->forms);
        $this->setViewScript('auth-forms');
    }
}
