<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @category   System
 * @package    System_View
 * @subpackage System_View_Helper
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * WithSelected view helper
 *
 * @uses       Zend_View_Helper_Abstract
 * @category   System
 * @package    System_View
 * @subpackage System_View_Helper
 */
class System_View_Helper_WithSelected extends Zend_View_Helper_Abstract
{
    /**
     * Renders input select with actions
     *
     * @param  string $page
     * @return string
     */
    public function withSelected ($page)
    {
        $params = new stdClass();
        $params->$page = array();
        Singular_Event::dispatch("withSelected", $params);
        return $this->view->partial('_with_selected.phtml', 'system', array(
            'options' => $params->$page,
        ));
    }
}
