<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * Language file for "system" module.
 */
return array(
    'UseResponse',
    'System',
    'System Information',
    'Buy Branding Removal',
    'Full Documentation',
    'Enter response for us to find it',
    'Use the form below to find or share some feedback with us.',
    'Contact Technical Support',
    'System files and SingularCore powered by Zend Framework',
    'Yes',
    'No',
    'Reset',
    'Search',
    'Community Title',
    'Slogan',
    'Community Logo',
    'Anonymous Votes',
    'Show Comments',
    'Optional',
    'Required',
    'Ascending',
    'Descending',
    'Responses - Settings',
    'Use Negative Votes',
    'Force to comment with negative vote',
    'Don\'t like how we called any item, field or message or you would like to create your own translation? Just click on the icon next to the dictionary and edit any item in the system to give it your own title.',
    'Admin Access',
    'Manage People',
    'Manage Responses',
    'Use Activity Log',
    'Default',
    'Version',
    'Release date',
    'Author',
    'Homepage',
    'commented',
    'Templates',
    'Welcome',
    'Employee',
    'Posted :relativeDate ago',
    'Employees Involved',
    'Tags',
    'Title',
    'Rating',
    'Subscriptions',
    'Enter your current password',
    'New Password',
    'Password again',
    'Avatar',
    'Use Gravatar',
    'Retrieve',
    'Send Notifications',
    'Immediately',
    'Once a day',
    'Time',
    'Current Server Time',
    'Notifications',
    'Please select items that you want to be notified about',
    'Are you sure? You can\'t UNDO this operation!',
    'You want to uninstall \'moduleName\' module. There is no UNDO action. Continue?',
    'Posted Comments',
    'My Activity',
    'I\'m Following',
    'I\'ve Created',
    'I\'ve Commented',
    'I\'ve Voted',
    'Following',
    'Created',
    'Commented',
    'Voted',
    'Clean Cache',
    'Cache is successfully cleaned!',
    'shared this :responseType',
    'Clear and short title of your :responseType',
    'Describe your :responseType in details to get quick response',
    'Description',
    'bold',
    'italic',
    'underline',
    'strike',
    'link',
    'code',
    'remove formatting',
    'hidden text',
    'Enter a Title for the Spoiler',
    'list',
    'nlist',
    'image',
    'video',
    'Enter Video Link:',
    'Enter Link Address:',
    'Change View',
    'Add Tags...',
    'Add',
    'Post Response',
    'Subscribe',
    'Unsubscribe',
    'All :responsesType',
    'created new',
    'Choose Theme',
    'Left',
    'Right',
    'Widget',
    'Community',
    'Widget Text',
    'Widget Side',
    'Background Color',
    'Border Color',
    'Round Corners',
    'Drop Shadow',
    'Default Tab',
    'Open',
    'Name',
    'Code',
    'Icon',
    'previous',
    'next',
    'Follow',
    'Registration Form',
    'Login Form',
    'Last reply :relativeDate ago by',
    'Posted by',
    ':relativeDate ago',
    'Powered by',
    'Fine product of',
    'Subscribe via RSS',
    'Share',
    'Recover',
    'Overview',
    'Full Name',
    'Password',
    'Email',
    'close',
    'New Response',
    'Login',
    'Register',
    'Remember me for 14 days',
    '%value% seconds',
    '%value% minutes',
    '%value% hours',
    '%value% days',
    '%value% weeks',
    '%value% months',
    '%value% years',
    '%value% second',
    '%value% minute',
    '%value% hour',
    '%value% day',
    '%value% week',
    '%value% month',
    '%value% year',
    'Continue',
    'Statistics',
    'Comments',
    'Participants',
    'Subscribers',
    'Replies',
    'Views',
    'Forgot Password',
    'Profile',
    'Activity Log',
    'Roles',
    'No users found',
    'Members Area',
    'Profile Settings',
    'Start new response',
    'Widgets',
    'Feedback Tab',
    'Feel free to configure your popup widget',
    'Get Code',
    'Change settings to view results at the image above',
    'and click on \'Get Code\' button to see the code below',
    'Help',
    'Implement it anywhere',
    'Use several options to get users in the system by placing pop-up widget at the left or right side of any page or implement widget form right inside the page where you want users to check new or popular responses.',
    'Customize it',
    'Define the parameters of the widget according to your website design style, forms or pages and generate new code to implement newly customized widget on any page of your website.',
    'While changing parameters you get preview next to each of them on the right.',
    'Registration',
    'Restricted Access',
    'Recovered Access',
    'New Response',
    'Change Response Status',
    'Role is successfully updated!',
    'Trash is successfully cleaned!',
    'New Comment',
    'Official Answer',
    'Answer already added!',
    'Notify Subscribers',
    'Languages',
    'New Language',
    'Dictionaries',
    'Default is',
    'List of available languages',
    'delete',
    'Submit',
    'Localization',
    'At the left side you have list of languages installed in your system that you can edit, delete or export to translate it locally.',
    'At the right side, there is a list of dictionaries assigned with the language that also could be edited or translated.',
    '<b>Admin access</b> has full control over system and all other permissions won\'t affect the role if he has this parameter switched on.',
    '<b>Moderate Response</b> users are notified about newly created responses or comments if Pre-Moderate community option is switched on at Admin->Settings, or they can accept or reject any response or comment sent as abusive.',
    'These users can edit response or comment when it\'s on moderation.',
    'You can add any new translation anytime by clicking on New Language and enter Name, Code to be used for that language(that will be folder name), and upload icon of the language.',
    'Dictionaries are added for each module in the system that contain translations. Inactive dictionaries are marked with grey color with plus icon. You can edit translation or add it by clicking on relevant icon next to each distionary.',
    'Translation',
    'Save Changes',
    'Select theme that will be used at your environment. You can customize it in public/themes',
    'Choose widget location to be displayed',
    'What should be shown when opened',
    'By clicking on tab user will go to',
    'Roles in the system define what group user is assigned to giving set of features or limiting to specific action in the system.',
    'There are several default roles that can\'t be removed like Administrator, but anytime you can create new one to make your system more flexible who can use what in each module.',
    'Back',
    'New Role',
    'System Roles',
    'Permissions',
    'Clean Trash',
    'All Comments',
    'All Responses',
    'Interface',
    'votes',
    'vote',
    'Vote',
    'Lock Comments',
    'Unlock Comments',
    'Top',
    'Normal',
    'Down',
    'Responses not found',
    'Scheduled Jobs',
    'Frequently',
    ':responseType has been updated!',
    ':responseType status has been updated!',
    'Enter your nickname or full name for it to be displayed in the system',
    'Email is used to login and send notifications. Email is not shown in public',
    'Email is not shown in public',
    'Enter your email (login) to get instructions to recover your password',
    'Title is required!',
    'Email already in use',
    'Description should be at least 3 characters!',
    'Answer should be at least 3 characters!',
    'Success. Please check your email for password!',
    'Enter email to retrieve your gravatar logo',
    'Enter text to search response!',
    'All Notifications could be sent once a day or immediately',
    'Hourly',
    'Daily',
    'In any role there is a set of the same permissions that lets you control who manages or has access to specific functionality in UseResponse.',
    '<b>Official Representative</b> is notified about each newly created response and can leave official answer to it along with changing response status.',
    '<b>Manage People</b> can add new people, ban users, see detailed user profile and manage it.',
    '<b>Manage Response</b> users have all options to move, copy, edit, trash responses and comments in the system.',
    'Trash',
    'Trash is empty',
    'General Settings',
    'Accept anonymous votes if you don’t want users to register in the system.',
    'All Time',
    'Today',
    'Yesterday',
    'This Week',
    'Last Week',
    'This Month',
    'Last Month',
    'Popular',
    'New',
    'Modules',
    'Installed Modules',
    'Here goes the list of installed modules',
    'Uninstall',
    'Current version',
    'by',
    'Settings',
    'Available Modules',
    'Here goes the list of available modules',
    'Install',
    'Default View',
    'Top Rated',
    'Created Most',
    'Commented Most',
    'All Roles',
    'People',
    'Edit Language',
    'Start New Response',
    'Current Roles',
    'You can delete only newly created roles or edit any role to change permissions in the system',
    'Role',
    'Users',
    'Options',
    'error',
    'Move to Trash',
    'users',
    'Administration',
    'Recent Activity',
    'Last Activity',
    'Change Password',
    'Error',
    'No activity found with chosen criteria!',
    'Word / expression / sentence',
    'Translation / renaming',
    'Official Answer',
    'Posted',
    'All',
    'Logout',
    'How will you call your community?',
    'Give it the best shot!',
    'Provide short description displayed at the top of the community. Leave blank if not required.',
    'The image must be a GIF, JPEG or PNG that is smaller than :size.',
    'Accept anonymous votes if you don\'t want users to register in the system.',
    'Homepage View',
    'Select content type to be displayed on home page',
    'Responses on Home Page',
    'Display Responses',
    'Divided by Type',
    'Divided by Category',
    'Mixed',
    'Number of Items per Type',
    'Order of Response Types',
    'Drag & Drop the types to get required order system wide',
    'Use negative votes and comments on ideas and problems, so people can disagree with responses',
    'Each time user disagrees with response, he will be forwarded to add comment.',
    'Show default sorting of comments in the system by dates',
    'Official Representative',
    'Official Representatives',
    'Most Active Users',
    'Joined',
    'Responses',
    'empty',
    'Update',
    'Newly Registered',
    'Stop Following',
    'Follow this Topic',
    'Subscribe via Email',
    'active',
    'banned',
    'photo',
    'Access denied',
    'Access Denied!  Insufficient permissions to view this object!',
    'Interface settings are changed!',
    'Widget settings are updated!',
    'Language is created',
    'Language not found',
    'Language is updated',
    'Language is deleted',
    'Language can\'t be deleted!',
    'Default language is changed',
    'Dictionary can\'t be added!',
    'Add Dictionary',
    'Edit Dictionary',
    'Dictionary is added',
    'Dictionary can\'t be updated!',
    'Dictionary is updated',
    'Module is installed successfully!',
    'Module is already installed',
    'Module is uninstalled!',
    'Module not found',
    'Responses settings are changed!',
    'New role is added!',
    'Db Error!',
    'Role is updated!',
    'Role is deleted!',
    'Edit Role',
    'General settings are changed!',
    'Your current community logo',
    'Response(s) are restored!',
    'Response(s) are deleted!',
    'Comment(s) are restored!',
    'Comment(s) are deleted!',
    'restored',
    'Restore from Trash',
    'Email or password are incorrect! Please try again!',
    'Success. Please check your email box for password!',
    'Your new password is sent to email!',
    'No account found with provided email',
    'You can add object once a minute. Please wait...',
    'Your :responseType is created!',
    'Error! Check your permissions',
    'You are subscribed to this response!',
    'You are already subscribed to this response!',
    'You stopped following this response!',
    'Access denied',
    'Response is restored!',
    'Separated with commas (rock-star, music, cold water)',
    'Search Results (:count) - ":searchString"',
    'No Results found for :searchString. You can add :linkTag new response :linkCloseTag!',
    'Response is deleted!',
    'Response is moved to trash',
    'moved to trash',
    'changed status',
    'added off. answer in',
    'Authentication is required to perfom the action!',
    'Comment is required for negative vote!',
    'You have already voted for this response!',
    'Your vote is accepted!',
    'You can\'t add official answer',
    'Answer is added',
    'Answer is deleted',
    'You can\'t edit official answer',
    'Official Answer is updated!',
    'Comments are locked!',
    'Comments are unlocked!',
    'You can\'t manage people',
    'Current Password is incorrect!',
    'Profile is updated!',
    'Password is successfully changed!',
    'Passwords mismatch!',
    'New Password is required!',
    'Bad request! Please try again later!',
    'Access for this user is recovered!',
    'Incorrect request! No response found!',
    'Access denied',
    'Events Statistics',
    'Shows when event was executed last time',
    'Some modules or system settings require periodical execution of the scripts from outside (backups, email notifications, etc)',
    'In order for Scheduled Jobs to work, you need to set up cron jobs to launch events below or you can use manual method to execute them',
    'Launching Events',
    'Execute events using command line',
    'Execute events using web interface sending http request',
    'Launching frequency',
    'There are 3 types of events: frequently (should be launched every 5 minutes), hourly and daily.',
    'Based on these events some of the modules will be executed by scripts to perform some actions in system that are dependant on automatic actions.',
    'Setup and execution',
    'Based on the server you use, Sheduled Jobs could be executed using command line or web interface with below instruments',
    '- cron at Unix servers through web interface of your hosting administrative panel or command line',
    '- internal scheduler or nncron on Windows servers.',
    'More information...',
    'We\'ll publish more detailed information in next releases about these tasks',
    'If you have problems launching events, please contact your server administrator or webmaster',
    'never',
    'There are no installed modules connected with responses!',
    'Language name is required!',
    'Language code is required!',
    'Are your sure you want to delete :lang',
    'Are your sure you want to delete role - ',
    'Role name is required!',
    'Are you sure? You can\'t UNDO this operation!',
    'Recover Access',
    'Ban User',
    'Please fill in required fields',
    ':userName is banned to enter system!',
    'Admin',
    'User',
    'Guest',
    'Official Representative',
    'User is deleted!',
    'Do you want to delete responses and comments?',
    'First Steps after system installation',
    'Install modules',
    'Once module is installed, you can follow <b>Settings</b> link next to the module to set it up.',
    'Also, make sure to change Roles and Permissions once you install any module to make sure you correctly provide access to community areas.',
    'Note: Modules can have dependencies, so some of them won\'t let you be installed until all modules requirements are met.',
    'Change Community Settings',
    'Update your logo, change community name or slogan along with description to make it clear for your customers what products you sell or services you provide. Also it makes your page more visible in search engines.',
    'With system you can use negative votes on ideas and problems set on <b>Responses settings</b> and force user to comment when voting',
    'Manage Roles',
    'You can add new Roles and change permissions on Roles page. You should grant access to specific areas of website by changing permissions in each role.',
    'Note: Default system roles can\'t be deleted and can only be edited, as they interact with system logic.',
    'Languages & Renaming',
    'Choose your default language from the list that goes out of box. You can create your own language and translation with the help of dictionaries.',
    'If you are not satisfied with some expression or wording in the system, you can simply add/edit dictionary and rename any wording in all dictionaries using provided variables.',
    'Social Login (Only in Corporate)',
    'If you don\'t want to use UseResponse social applications so your users are asked to accept connection from unknown application to them, set up your own apps on Login Plus by following instructions.',
    'Interface & Widget',
    'Customize the look and feel of your community to match your website colors and styles.',
    'Build your theme based on default one by changing theme.css file.',
    'Setup widget and implement it on any page of your website to stick to the left or right side of the screen with it\'s custom look.',
    'Set up Scheduled Jobs',
    'Some modules require external execution of scripts to perform automatic actions. Follow instructions provided on Backend Module page and contact your webmaster if you are not sure how to set cron.',
    'First Steps to Use Environment',
    'Start New Responses',
    'Share ideas, report problems, ask questions or just say thanks with ability to add files to get quick response from support.',
    'Note: Make sure to use search before adding new topic. Maybe someone already added something similar!',
    'Track the progress',
    'Receive clarification questions, official answers, track status changes of your response with ability to subscribe and unsubscribe from not interested objects at your activity log here.',
    'Vote more...',
    'Use internal voting system to rank up the response that you think should be paid attention.',
    'The more votes interesting responses get - the more chances they will be completed.',
    'Sometimes it\'s obligatory to leave comments when you disagree with idea or think that it\'s not a problem. It happens when community uses negative voting system.',
    'Support other\'s comments if you have common vision with this user on the same topic.',
    'If you disagree, we require adding comment!',
    'Similar responses found:',
    'Nothing Relative?',
    ':count more results',
    'Reset Search',
    'Auto-Updater',
    'Auto-Updater requires PHP Zip Extention!',
    'Module is successfully activated!',
    'Module is successfully deactivated!',
    'Error backuping system!',
    'Error uploading new version!',
    'Error extracting files!',
    'Error upgrading system!',
    'Error upgrading themes!',
    'Error upgrading localization!',
    'System is successfully upgraded!',
    'FTP Access',
    'Activate Module',
    'Disactivate Module',
    'FTP settings are changed!',
    'Auto-Updater requires PHP Ftp Extention!',
    'Can\'t connect to local server. Check FTP Settings!',
    'Installation directory not found!',
    'Not enough permissions to upgrade files!',
    'Connection works!',
    'Check required options of the system to be automatically updated!',
    'Please be patient until upgrade process completes...',
    'Upgrade System',
    'Upgrade Themes',
    'Upgrade Localization',
    'System Backup',
    'Download New Version',
    'Extract Archive',
    'Upgrading System',
    'Upgrading Themes',
    'Upgrading Localization',
    'Validation',
    'System Rollback',
    'History',
    'Voting System',
    'Other Settings',
    'Default Filter',
    'Select responses to be displayed in top on home page',
    'Comments Order',
    'Response Order Priority is Changed!',
    'Updated',
    'Api Settings',
    'Below settings provide you access to the system with current user permissions using API',
    'URL',
    'Key',
    'Status',
    'Reset Key',
    'Enabled',
    'Disabled',
    'New Api Key is Generated!',
    'Email is required!',
    'Email is incorrect!',
    'Enter Captcha',
    'Captcha value is wrong',
    'Anonymously',
    'Back',
    'Provide email if you want to follow response',
    'Anonymous Responses',
    'Allow users to add responses anonymously without authentication.',
    'Use Captcha',
    'Search People',
    'Use Mobile Interface',
    'Advise optional interface to choose if using community from mobile',
    'Select Type',
    'Type is required!',
    '%s responses',
    'Scroll to top',
    'Hours',
    'Day',
    'Week',
    'Month',
    'Report',
    'Group by',
    'Date Range',
    'Total',
    'External Scripts',
    'Header Script (Code)',
    'Paste external tracking code that should go before closing &#8249;/head&#8250;',
    'Paste external tracking code that should go before closing &#8249;/body&#8250;',
    'Body Script (Code)',
    'External scripts settings are changed!',
    'No grouping',
    'Weekdays',
    'Types',
    'No Results found.',
    'Quantity',
    'From',
    'To',
    'Analytics',
    'Statuses',
    'New Status',
    'Pay attention',
    'Type',
    'Text Color',
    'Slug',
    'Slug already exists! Please change it!',
    'Slug is required and can\'t be empty',
    'Title is required and can\'t be empty',
    'Order is updated!',
    'Status Title',
    'New response status is added!',
    'Response status is updated!',
    'Unable to delete protected status!',
    'You must have at least one default status',
    'Status is deleted!',
    'All changes you have made to this page will be lost!',
    'Search Tab',
    'System is up-to date',
    'Checking for updates',
    'Extend',
    'Upgrade',
    'Vote History',
    'Voted for Response',
    'and also',
    'Update Status',
    'See Users'
);
