<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @category   System
 * @package    System_Lib
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * System_Lib_Markup_Renderer_Html_Source
 *
 * @category   System
 * @package    System_Lib
 * @subpackage Renderer_Html
 */
class System_Lib_Markup_Renderer_Html_Source extends Zend_Markup_Renderer_Html_HtmlAbstract
{

    /**
     * Convert the token
     *
     * @param Zend_Markup_Token $token
     * @param string $text
     *
     * @return string
     */
    public function convert(Zend_Markup_Token $token, $text)
    {
        $attributes = Zend_Markup_Renderer_Html::renderAttributes($token);
        
        $text = str_replace('<li>', '<li style="border-left: 2px solid #1AC131;
    color: #555555;
    padding-left: 10px;">', $text);
        
        return "<ol class='source' style='background-color: #FAFAFA;
    border-color: #555555;
    border-style: dotted;
    border-width: 1px;
    font-style: italic;
    list-style-position: outside;
    padding-left: 35px;' {$attributes}>{$text}</ol>";
    }
}
