<?php

/**

 * Singular

 *

 * LICENSE

 *

 * The SOFTWARE PRODUCT is protected by copyright treaties,

 * as well as other intellectual property laws and treaties.

 * The SOFTWARE PRODUCT is licensed, not sold.

 * Software.

 * You may install and use one copy of the SOFTWARE PRODUCT

 * for each license purchased or if a site license then you

 * may install any number of copies at the site where the

 * site license is defined.

 * Your rights to use the SOFTWARE PRODUCT are not transferable.

 *

 * @category   Singular

 * @package    Singular_Filter

 * @copyright  Copyright (c) 2010 Zenonis. (http://www.zenonis.com)

 */

 /**

 * @category   Singular

 * @package    Singular_Filter

 * @copyright  Copyright (c) 2010 Zenonis. (http://www.zenonis.com)

 */

class Singular_Filter_Translit implements Zend_Filter_Interface

{

    public function filter ($value)

    {

        $letters = array(

			"а" => "a", "б" => "b", "в" => "v", "г" => "g", "д" => "d", "е" => "e",

			"ё" => "e", "ж" => "zh", "з" => "z", "и" => "i", "й" => "j", "к" => "k",

            "л" => "l", "м" => "m", "н" => "n", "о" => "o", "п" => "p", "р" => "r",

            "с" => "s", "т" => "t", "у" => "u", "ф" => "f", "х" => "h", "ц" => "c",

            "ч" => "ch", "ш" => "sh", "щ" => "sh", "ы" => "i", "ь" => "", "ъ" => "",

            "э" => "e", "ю" => "yu", "я" => "ya",

			"А" => "A", "Б" => "B", "В" => "V", "Г" => "G", "Д" => "D", "Е" => "E",

			"Ё" => "E", "Ж" => "ZH", "З" => "Z", "И" => "I", "Й" => "J", "К" => "K",

            "Л" => "L", "М" => "M", "Н" => "N", "О" => "O", "П" => "P", "Р" => "R",

            "С" => "S", "Т" => "T", "У" => "U", "Ф" => "F", "Х" => "H", "Ц" => "C",

            "Ч" => "CH", "Ш" => "SH", "Щ" => "SH", "Ы" => "I", "Ь" => "", "Ъ" => "",

            "Э" => "E", "Ю" => "YU", "Я" => "YA",

		);

		

		foreach ($letters as $letterVal => $letterKey) {

			$value = str_replace($letterVal, $letterKey, $value);

		}

		

        return $value;

    }

}
