<?php
/**
 * Hidden form element
 *
 * @category   Singular
 * @package    Singular_Form
 * @subpackage Element
 */
class Singular_Form_Element_Hidden extends Singular_Form_Element_Xhtml
{
    /**
     * Use formHidden view helper by default
     * 
     * @var string
     */
    public $helper = 'formHidden';

    public function init ()
    {
        $this->_initElementViewScriptDecorator('hidden');
        $this->setDisableLoadDefaultDecorators(true);
        $this->addDecorator('ViewHelper', $this->helper);
    }
}
