<?php
/**
 * Text form element
 *
 * @category   Singular
 * @package    Singular_Form
 * @subpackage Element
 */
class Singular_Form_Element_Text extends Singular_Form_Element_Xhtml
{
    /**
     * Default form view helper to use for rendering
     * 
     * @var string
     */
    public $helper = 'formText';

    /**
     * Initialize object; used by extending classes
     *
     * @return void
     */
    public function init ()
    {
        $this->_initElementViewScriptDecorator('text');
        $this->setAttrib('class', 'form-text-input len');
    }
}
 
