<?php

class Singular_Navigation_Page_Mvc extends Zend_Navigation_Page_Mvc
{
    protected static $_translator = null;

    /**
     * Returns page label
     *
     * @return string  page label or null
     */
    public function getLabel()
    {
        if (is_string($this->_label) && !empty($this->_label)) {
            if (null !== self::$_translator && self::$_translator instanceof Zend_Translate_Adapter) {
                return self::$_translator->translate($this->_label);
            }

            if (Zend_Registry::isRegistered('Zend_Translate')) {
                self::$_translator = Zend_Registry::get('Zend_Translate');
                return self::$_translator->translate($this->_label);
            }
        }        
        return $this->_label;
    }
}