<?php
/**
 * Singular
 *
 * LICENSE
 *
 * The SOFTWARE PRODUCT is protected by copyright treaties,
 * as well as other intellectual property laws and treaties.
 * The SOFTWARE PRODUCT is licensed, not sold.
 * Software.
 * You may install and use one copy of the SOFTWARE PRODUCT
 * for each license purchased or if a site license then you
 * may install any number of copies at the site where the
 * site license is defined.
 * Your rights to use the SOFTWARE PRODUCT are not transferable.
 *
 * @category   Singular
 * @package    Singular_View
 * @subpackage Helper
 * @copyright  Copyright (c) 2010 Zenonis. (http://www.zenonis.com)
 */

 /**
 * @category   Singular
 * @package    Singular_View
 * @copyright  Copyright (c) 2010 Zenonis. (http://www.zenonis.com)
 */
class Singular_View_Helper_Request extends Zend_View_Helper_Abstract
{
    /**
     * Get request information
     * 
     * @param  string $param
     * @return string
     */
    public function request ($param = 'module')
    {
        $request = Zend_Controller_Front::getInstance()->getRequest();
        switch ($param) {
            case 'module':
                return $request->getModuleName();
                break;
            case 'controller':
                return $request->getControllerName();
                break;
            case 'action':
                return $request->getActionName();
                break;
            case 'params':
                return $request->getParams();
                break;
            default:
                return $request->getModuleName();
                break;
        }
    }
}