App.onReady(function(){
    $(".sortByDate").change(function(){
        data = App.getFormParams($(".filter-area"));
        $(this).parent().find(".preloader").show();
        if ($(".filter") != void(0)) {
            data.type = $(".filter.filter-active").attr("id");
        }
        url = location.href;
        url = url.replace(/status\/[^\/]*/g, "status/" + $(".sortByPopularity").val());
        App.remote.get(url, data, function(r) {
            result = App.remote.parseResult(r);
            if (result.data.isError()) {
                App.notify.error(result.data.getMessage());
                return false;
            }
            $(".mainArea-type2").html(result.data.getOutput());

            if (App.setVotes && result.data.getParam('user_votes')) {
                App.setVotes(result.data.getParam('user_votes'));
            }

            $(".preloader").hide();
            $('.table-view .object:odd').addClass('color-obj');
        });
    });

    $(".sortByPopularity").change(function(){
        $(this).parent().find(".preloader").show();
        var data = {
            'format' : 'json',
            'date'   : $('.sortByDate').val(),
            'status' : $(this).val()
        };
        var url = location.href;
        url = url.replace(/status\/[^\/]*/g, "status/" + $(this).val());
        if ($(".privacy-filter").length > 0) {
            data['privacy_type'] = $(".privacy-filter.filter-active").attr('id');
        } else {
            if ($(".filter") != void(0)) {
                data.type = $(".filter.filter-active").attr("id");
            }
        }
        App.remote.get(url, data, function(r) {
            var result = App.remote.parseResult(r);
            if (result.data.isError()) {
                App.notify.error(result.data.getMessage());
                return false;
            }
            $(".mainArea-type2").html(result.data.getOutput());

            if (App.setVotes && result.data.getParam('user_votes')) {
                App.setVotes(result.data.getParam('user_votes'));
            }

            $(".preloader").hide();
            $('.table-view .object:odd').addClass('color-obj');
        });
    });

    $(".filter").click(function(){
        if ($(this).attr('id') == 'privacy-filter-private' || $(this).attr('id') == 'privacy-filter-public') return true;
        $(".filter").removeClass("filter-active");
        $(".filter").find(".marker").hide();
        $(this).addClass("filter-active");
        $(this).find(".marker").show();
        $(this).parent().find(".preloader").show();
        data = App.getFormParams($(".filter-area"));
        data.type = $(this).attr("id");
        App.remote.get(location.href, data, function(r) {
            result = App.remote.parseResult(r);
            if (result.data.isError()) {
                App.notify.error(result.data.getMessage());
                return false;
            }
            $(".mainArea-type2").html(result.data.getOutput());
            $(".preloader").hide();
            $('.table-view .object:odd').addClass('color-obj');
        });
        return false;
    });

    $(".sortByFollowing").change(function(){
        $(this).parent().find(".preloader").show();
        data = {
            'format' : 'json',
            'type'   : $(".filter.filter-active").attr("id")
        };
        if ($(this).val() != 'all') {
            data.user_filter = $(this).val();
        }
        url = location.href;
        if (url.indexOf("?") > -1) {
            url = url.substr(0, url.indexOf("?"));
        }
        App.remote.get(url, data, function(r) {
            result = App.remote.parseResult(r);
            if (result.data.isError()) {
                App.notify.error(result.data.getMessage());
                return false;
            }
            $(".mainArea-type2").html(result.data.getOutput());
            $(".preloader").hide();
            $('.table-view .object:odd').addClass('color-obj');
        });
    });
});