App.onReady(function () {

    var paginatorNav = $(".paginator li a");
    var routes = ['moderation_browse'];
    if (-1 == $.inArray(App.routeName, routes)) {
        paginatorNav.die(App.event.click()).unbind(App.event.click());
    }

    paginatorNav.live(App.event.click(), function (event) {
        if ($(this).attr("id") == void(0)) {
            return;
        }
        var paginator = $(this).parent().parent();
        paginator.find(".preloader").show();
        var data = App.getFormParams($(".filter-area"));
        data.page = $(this).attr("id").match(/\d+/)[0];
        if ($(".filter") != void(0)) {
            data.type = $(".filter.filter-active").attr("id");
        }
        var url = location.href;
        if (url.indexOf("?") > -1) {
            url = url.substr(0, url.indexOf("?"));
        }
        url = url.replace(/status\/[^\/]*/g, "status/" + $(".sortByPopularity").val());
        App.remote.get(url, data, function (r) {
            result = App.remote.parseResult(r);
            if (result.data.isError()) {
                App.notify.error(result.data.getMessage());
                return false;
            }
            if ($(".mainArea-type2").html() != void(0)) {
                $(".mainArea-type2").html(result.data.getOutput());
            } else {
                $(".mainArea-type1").html(result.data.getOutput());
            }
            if (App.setVotes && result.data.getParam('user_votes')) {
                App.setVotes(result.data.getParam('user_votes'));
            }
            paginator.find(".preloader").hide();
            $('.table-view .activity:odd').addClass('color-obj');
            /* Table view in objects */
            $('.table-view .object:odd').addClass('color-obj');

            /* Table view in different objects */
            $('.table-view .obj:odd').addClass('color-obj');

            /* Table view in new roles */
            $('.table-col1 .table-col-line:odd').addClass('color-obj');
            $('.table-col2 .table-col-line:odd').addClass('color-obj');

            $('.col1 .col-item:odd').addClass('color-obj');
            $('.col2 .col-item:odd').addClass('color-obj');

            /* Table view in current roles */
            $('.current-roles tr:odd').addClass('color-obj');

            if ($.browser.safari) {
                $('body').animate({scrollTop: 0}, 300);
            } else {
                $('html').animate({scrollTop: 0}, 300);
            }
        });
        return false;
    });

    // Ctrl + Left arrow / Ctrl + Right arrow support
    $(document).on('keydown', function (event) {
        if (event.ctrlKey) {
            var pos;
            if (37 == event.which) {
                pos = 'left';
            } else if (39 == event.which) {
                pos = 'right';
            }

            if (pos) {
                var pList    = $(".paginator li"),
                    currPage = pList.has('span.cur');
                if (currPage.is('li')) {
                    var affected;
                    switch (pos) {
                        case 'left':
                            affected = currPage.prev();
                            break;
                        case 'right':
                            affected = currPage.next();
                            break;
                    }

                    if (affected.is('li')) {
                        var link = affected.find('a').eq(0);
                        if (link.is('a') && link.attr('href')) {
                            link.trigger('click');
                            paginatorNav.die(App.event.click());
                        }
                    }
                }
            }
        }

    });
});
