function getDocHeight() {
    var D = document;
    return Math.max(
        Math.max(D.body.scrollHeight, D.documentElement.scrollHeight),
        Math.max(D.body.offsetHeight, D.documentElement.offsetHeight),
        Math.max(D.body.clientHeight, D.documentElement.clientHeight)
    );
}

function popup (name, url, width, height) {
    if (typeof(width) == 'undefined') {
        width = 610;
    }
    if (typeof(height) == 'undefined') {
        height = 420;
    }
    div = document.createElement('div');
    div.setAttribute("class", "l-overlay ur-nofont ur-png");
    div.setAttribute("id", "l-overlay");
    div.style.height = getDocHeight() + "px";
    document.body.appendChild(div);
    div = document.createElement('div');
    div.setAttribute("class", "l-ur-body");
    div.setAttribute("id", "l-ur-body");
    div.style.margin = "-" + (height/2) + "px 0 0 -" + (width/2) + "px";
    div.style.width = width + "px";
    div.style.height = height + "px";
    div.innerHTML = '<div class="l-ur-top ur-nofont ur-png"><div><div></div></div></div>\n\
                    <div class="l-ur-mid ur-png">\n\
                        <div class="inner ur-png">\n\
                            <div class="inner2">\n\
                                <div class="b-ur-close ur-nofont ur-png" onClick="closePopup()"></div>\n\
                                <iframe style="height:' + height + 'px;width:' + (width - 10) + 'px;border:0px;" src="' + url + '"></iframe>\n\
                            </div>\n\
                        </div>\n\
                    </div>\n\
                    <div class="l-ur-bot ur-nofont ur-png"><div class="ur-png"><div class="ur-png"></div></div></div>';
    document.body.appendChild(div);
}

function closePopup() {
    div = document.getElementById("l-overlay");
    document.body.removeChild(div);

    div = document.getElementById("l-ur-body");
    document.body.removeChild(div);
}