App.onReady(function(){
    $(".sortByDate").change(function(){
        data = App.getFormParams($(".filters-area"));
        if ($(".filter") != void(0)) {
            data.type = $(".filter.filter-active").attr("id");
        }
        url = location.href;
        url = url.replace(/status\/[^\/]*/g, "status/" + $(".sortByPopularity").val());

        a = document.createElement('a');
        a.href = url;
        
        location.href = a.pathname + '?' + $.param(data);
    });

    $("#select-category").change(function(){
        if ($(this).val() == '') {
            location.href = App.baseUrl('/categories/all/status/popular');
        } else {
            location.href = App.baseUrl('/categories/' + $(this).val() + '/all/status/popular');
        }
    });

    $("#select-type").change(function(){
        if ($(this).val() == '') {
            location.href = App.baseUrl('/responses');
        } else {
            location.href = App.baseUrl('/responses/' + $(this).val() + '/status/all');
        }
    });

    $(".sortByPopularity").change(function(){
        $(this).parent().find(".preloader").show();
        data = {
            'format' : 'json',
            'date'   : $('.sortByDate').val(),
            'status' : $(this).val()
        };
        url = location.href;
        url = url.replace(/status\/[^\/]*/g, "status/" + $(this).val());
        if ($(".filter") != void(0)) {
            data.type = $(".filter.filter-active").attr("id");
        }
        
        a = document.createElement('a');
        a.href = url;
        
        location.href = a.pathname + '?' + $.param(data);
    });

    $(".filter").click(function(){
        $(".filter").removeClass("filter-active");
        $(".filter").find(".marker").hide();
        $(this).addClass("filter-active");
        $(this).find(".marker").show();
        $(this).parent().find(".preloader").show();
        data = App.getFormParams($(".filters-area"));
        data.type = $(this).attr("id");
        
        a = document.createElement('a');
        a.href = url;
        
        location.href = a.pathname + '?' + $.param(data);
    });

    $(".sortByFollowing").change(function(){
        $(this).parent().find(".preloader").show();
        data = {
            'format' : 'json',
            'type'   : $(".filter.filter-active").attr("id")
        };
        if ($(this).val() != 'all') {
            data.user_filter = $(this).val();
        }
        url = location.href;
        if (url.indexOf("?") > -1) {
            url = url.substr(0, url.indexOf("?"));
        }
        
        a = document.createElement('a');
        a.href = url;
        
        location.href = a.pathname + '?' + $.param(data);
    });
});