App.config.ajax.useDefaultEventHandlers = false;
//App.reinit();
App.notify = {
    error: function (message) {App.notify.show('error', message)},

    success: function (message) {App.notify.show('success', message)},

    info: function (message) {App.notify.show('info', message)},

    show: function (type, message) {
        switch (type) {
            case 'error':
                _subClass = 'accept-vote notaccept-vote';
                break;
            case 'success':
                _subClass = 'accept-vote';
                break;
            case 'info':
                _subClass = 'accept-vote';
                break;
        }
        $(".accept-vote").hide();
        newDate = new Date;
        id = 'message_' + newDate.getTime();
        html = '<div id="' + id + '" class="' + _subClass + '"><div class="inner">' + message + '</div></div>';
        $('body').append(html);
        setTimeout(function(){$("#" + id).fadeOut()}, 3000);
    }
};
App.getFormParams = function(form) {
    data = {};
    i=0;
    form.find("input, textarea, select").each(function(){
        name = $(this).attr("name");
        if (name != undefined) {
            if (($(this).attr("type") != "checkbox"
                && $(this).attr("type") != "radio")
                || ($(this).attr("type") == "radio"
                        && $(this).is(":checked"))
                || ($(this).attr("type") == "checkbox"
                        && $(this).is(":checked"))) {

                if (name.match(/\[\]$/)) {
                    name = name.match(/.*[^\[\]]/);
                    if (!data[name]) {
                        data[name] = {};
                    }
                    data[name][i] = $(this).val();
                    i++;
                } else {
                    data[name] = $(this).val();
                }
            }
        }
    });
    return data;
}
App.openLoginPopup = function(params) {
    if (App.getParam("isGuest")) {
        var redirectUrl = App.baseUrl('/login?redirect=' + ((params.redirect) ? params.redirect : document.URL));
        location.href = redirectUrl;
        return false;
    }
    return true;
}

$(document).ready(function () {
    $(".icon-rectangle .icon-menu").click(function() {
        $('.top-nav').toggle();
        return false;
    });
    $('#select-choice').live('change', function(){
        if ($(this).val() != "#") {
            location.href = $(this).val();
        }
    });

    $("#system-form-login #login-email").focus(function(){
        if ($(this).val() == App.t('Email')) {
            $(this).val('');
        };
        $(this).css('color','#000');
    }).blur(function(){
        if ($(this).val() == '') {
            $(this).val(App.t('Email'));
            $(this).css('color','#C1BCB9');
        }
    }).blur();
    
    $("#system-form-login #password").focus(function(){
        if ($(this).val() == App.t('Password')) {
            $(this).val('');
        };
        $(this).css('color','#000');
    }).blur(function(){
        if ($(this).val() == '') {
            $(this).val(App.t('Password'));
            $(this).css('color','#C1BCB9');
        }
    }).blur();
    
    $("#system-form-registration #full_name").focus(function(){
        if ($(this).val() == App.t('Full Name')) {
            $(this).val('');
        };
        $(this).css('color','#000');
    }).blur(function(){
        if ($(this).val() == '') {
            $(this).val(App.t('Full Name'));
            $(this).css('color','#C1BCB9');
        }
    }).blur();
    
    $("#system-form-registration #registration-email").focus(function(){
        if ($(this).val() == App.t('Email')) {
            $(this).val('');
        };
        $(this).css('color','#000');
    }).blur(function(){
        if ($(this).val() == '') {
            $(this).val(App.t('Email'));
            $(this).css('color','#C1BCB9');
        }
    }).blur();
    
    $(".ur-select-type").find(".ui-btn-inner").append('<span class="Icon-Place"></span>');
    $("#response-add #type").change(function(){
        $urType = $(".Icon-Place");
        $urType.removeClass("Icon-Idea").removeClass("Icon-Problem").removeClass("Icon-Question").removeClass("Icon-Thanks");
        if ($(this).val() == "idea" ) {
                $(".new-response-container").removeClass("Problem").removeClass("Question").removeClass("Thanks").addClass("Idea");
                $urType.addClass("Icon-Idea");
        }
        if ($(this).val() == "problem" ) {
                $(".new-response-container").removeClass("Idea").removeClass("Question").removeClass("Thanks").addClass("Problem");
                $urType.addClass("Icon-Problem");				
        }
        if ($(this).val() == "question" ) {
                $(".new-response-container").removeClass("Idea").removeClass("Problem").removeClass("Thanks").addClass("Question");
                $urType.addClass("Icon-Question");
        }
        if ($(this).val() == "thanks" ) {
                $(".new-response-container").removeClass("Idea").removeClass("Problem").removeClass("Question").addClass("Thanks");
                $urType.addClass("Icon-Thanks");
        }
        if ($(this).val() == "" ) {
                $(".new-response-container").removeClass("Idea").removeClass("Problem").removeClass("Question").removeClass("Thanks");
        }
    }).change();
    
    $("#response-add #title").focus(function(){
        if ($(this).val() == App.t('Title')) {
            $(this).val('');
        };
        $(this).css('color','#000');
    }).blur(function(){
        if ($(this).val() == '') {
            $(this).val(App.t('Title'));
            $(this).css('color','#C1BCB9');
        }
    }).blur();
    
    $("#response-add #content").focus(function(){
        if ($(this).val() == App.t('Description')) {
            $(this).val('');
        };
        $(this).css('color','#000');
    }).blur(function(){
        if ($(this).val() == '') {
            $(this).val(App.t('Description'));
            $(this).css('color','#C1BCB9');
        }
    }).blur();
    
    $("select[name='config[send_notifications]']").change(function(){
        if ($(this).val() == 'once') {
            $("#time").show();
        } else {
            $("#time").hide();
        }
    }).change();

    var activateCommentChoiceHandlers = function (element) {
        $(element).on('change', function (event) {
            var selected = $(this).find('option:selected');
            if ($(selected).hasClass('edit-comment')) {
                comment = $(this).closest('div.comment-content');
                text = comment.find(".comment-content-text");
                form = comment.find(".comment-edit-form");
                if (form.is(":visible")) {
                    form.hide();
                    text.show();
                } else {
                    form.show();
                    text.hide();
                }
                return false;
            } else {
                location.href = $(selected).val();
            }
            event.preventDefault();
        });
    }

    activateCommentChoiceHandlers($('select.comment-select-choice'));
    $('form.comment-edit-form').on('submit', function (event) {
        event.stopImmediatePropagation();
        var select = $(this).closest('div.comment-content').find('div.ur-select-actions').clone();
        var self = this;

        form = $(this);
        form.find("button[type=submit]").attr("disabled", "disabled").addClass("disactive");
        data = App.getFormParams(form);
        comment = form.parents(".comment");
        comment.find(".preloader").eq(0).show();
        App.remote.post(form.attr('action'), data, function (r) {
            result = App.remote.parseResult(r);
            comment.find('.preloader').hide();
            form.find("#submit").removeAttr("disabled").removeClass("disactive");
            if (result.data.isError()) {
                App.notify.error(result.data.getMessage());
                return false;
            }
            comment.hide();
            var html = $(result.data.getOutput());
            activateCommentChoiceHandlers(select);
            $(html).find('div.ur-select-actions').after(select).remove();
            textAreaId = $(html).find("textarea").attr("id");
            comment.after(html);
            comment.remove();
            textarea = $("#" + textAreaId).get(0);
            App.initEditor(textarea);
            App.notify.success(result.data.getMessage());
        });
        return false;
    });

    $('#comment-add').live("submit", function (event) {
        return;
        event.stopImmediatePropagation();
        alert('sdfsdf');
        event.preventDefault();
        return;
        if ($("#comment_text").val().length < 3 && $("#comment_text").attr('disabled') == undefined) {
            App.notify.error(App.t("Comment should be at least 3 characters!"));
            return false;
        }
        if (App.getParam("isGuest")) {
            params = {'form_id':$(this).attr("id")};
            App.openLoginPopup(params);
            return false;
        }
        form = $(this);
        form.find("#submit").attr("disabled", "disabled").addClass("disabled");
        data = App.getFormParams(form);
        $(".leave-comment .preloader").eq(0).show();
        App.remote.post(form.attr('action'), data, function (r) {
            result = App.remote.parseResult(r);
            $('.preloader').hide();
            form.find("#submit").removeAttr("disabled").removeClass("disabled");
            if (result.data.isError()) {
                App.notify.error(result.data.getMessage());
                return false;
            }
            if (result.data.getOutput()) {
                html = result.data.getOutput();
                textAreaId = $(html).find("textarea").attr("id");
                $(".leave-comment").before(html);
                textarea = $("#" + textAreaId).get(0);
                App.initEditor(textarea);

                count = $("#statistics-comments").text() * 1 + 1;
                $("#statistics-comments").html(count);
                $("#count-comments").html(count);
                $("#statistics-participants").html(result.data.getParam("participants"));
            }

            if (form.find("#vote").val() != 0) {

                if (result.data.getParam("negativeVotes") != null) {
                    $(".button-object-full.iDont .how-vote").html(result.data.getParam("negativeVotes"));
                }

                if (result.data.getParam("positiveVotes") != null) {
                    $(".button-object-full.iLikeIt .how-vote").html(result.data.getParam("positiveVotes"));
                }
                disactive = $(".buttons-object-full .disactive");
                if (disactive.length) {
                    $(".button-object-full:not(.disactive)").addClass("disactive");
                    disactive.removeClass("disactive");
                } else {
                    votes = $(".title-object-full .votes center");
                    votes.html(votes.text().trim() * 1 + 1);
                }
            }
            form.find("textarea, input[type=text]").val('');
            form.find("iframe").contents().find("body").html("");
            form.find("input[type=checkbox], input[type=radio]").removeAttr('checked');
            $('input[name=is_negative]').change();
            form.find("#vote").val('0');
            App.notify.success(result.data.getMessage());
        });
        return false;
    }); 
    
    $('#comment-guest-button, #login-on-response-add').on(App.event.click(), function (event) {
        event.stopImmediatePropagation();
        if (App.getParam('require_sso_login')) {
            return location.href = App.baseUrl('/sso/login');
        }
        return App.openLoginPopup(
            {redirect: document.URL}
        );
        event.preventDefault();
    });
    
    $('#submit_guest_link').on(App.event.click(), function (event) {
        var loginButton  = $('#login-on-response-add');
            formBlock    = $('#anonymous-hide'),
            formIsHidden = $(formBlock).is(':hidden');
        if (formIsHidden) {
            $(formBlock).show();
            $(loginButton).hide();
        } else {
            $(formBlock).hide();
            $(loginButton).show();
        }
    });
    
    if ($('#is_submitted').is('input')) {
        $('#submit_guest_link').trigger(App.event.click());
    }
    
    $('#system-form-login').on('submit', function (event) {
        $(this).attr('action', document.URL);
    });

    $("#search-form").submit(function () {
        var searchField = $(this).find("input[name=text]"),
            searchVal = searchField.val().replace('/', '-').replace('\\', '-');
        location.href = App.baseUrl("/search/" + encodeURIComponent(searchVal));
        return false;
    });
});
