<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Restore UseResponse</title>
    <style type="text/css">
        html {
            padding: 20px 10px 0px 30px;
        }

        body {
            font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
            font-size: 12px;
            margin-right: 30px;
            border-left: 1px solid #ddd;
            padding: 15px 20px 15px 20px;
        }

        h2 {
            margin: 0px 0px 15px;
        }
    </style>
</head>
<body>
<?php

define('DS', DIRECTORY_SEPARATOR);
define('ROOT_PATH', dirname(__FILE__));
define('CACHE_PATH', ROOT_PATH . DS . 'cache');

set_include_path(ROOT_PATH . DS . 'library');

if (!isset($_GET['backup']) || !isset($_GET['checksum'])
    || empty($_GET['backup']) || empty($_GET['checksum'])) {
    $error = 'Security violation detected!';
} else {
    $backupName = $_GET['backup'];
    $checksum   = $_GET['checksum'];

    $fileName = ROOT_PATH . DS . 'application' . DS . 'modules'
        . DS . 'backup' . DS . 'services' . DS . 'Backup.php';
    $error = null;
    if (!file_exists($fileName)) {
        $error = $fileName . " not found!";
    }
}
if ($error === null): ?>

    <?php if (empty($_POST)): ?>
    <h2>Restore UseResponse</h2>
    <p>Backup Date: <?php echo $backupName?></p>
    <p><strong>Use this method if you are not able to do restore in your Administration-Backup! All previous information
        in the system will be lost.</strong></p>
    <form method="post" action="#">
        <button name="submit" type="submit">Restore!</button>
    </form>
        <?php else:

        require_once $fileName;
        $result = Backup_Service_Backup::restore($backupName, $checksum);
        if ($result === true):?>
        <h2>System is successfully restored!</h2>
            <?php else: ?>
        <h2><?php echo $result?></h2>
            <?php endif;

    endif?>

    <?php else: ?>
<h2><?php echo $error?></h2>
    <?php endif?>
</body>
</html>