<?php

if ($curVersion === "1.0.2") {
       
    Singular_Core::_("settings")->addSettings(array(
        'key'         => 'system_version',
        'value'       => '1.1',
        'type'        => 'text',
        'title'       => 'System Version',
        'description' => '',
        'module'      => 'system',
        'section'     => 'main'
    ));

    Singular_Core::_("settings")->addSettings(array(
        'key'         => 'ftp_host',
        'value'       => 'localhost',
        'type'        => 'text',
        'title'       => 'FTP Host',
        'description' => '',
        'module'      => 'system',
        'section'     => 'ftp'
    ));

    Singular_Core::_("settings")->addSettings(array(
        'key'         => 'ftp_port',
        'value'       => '21',
        'type'        => 'text',
        'title'       => 'FTP Port',
        'description' => '',
        'module'      => 'system',
        'section'     => 'ftp'
    ));

    Singular_Core::_("settings")->addSettings(array(
        'key'         => 'ftp_username',
        'value'       => '',
        'type'        => 'text',
        'title'       => 'FTP Username',
        'description' => '',
        'module'      => 'system',
        'section'     => 'ftp'
    ));

    Singular_Core::_("settings")->addSettings(array(
        'key'         => 'ftp_password',
        'value'       => '',
        'type'        => 'password',
        'title'       => 'FTP Password',
        'description' => '',
        'module'      => 'system',
        'section'     => 'ftp'
    ));
    
    Singular_Core::_("settings")->addSettings(array(
        'key'         => 'ftp_folder',
        'value'       => '',
        'type'        => 'text',
        'title'       => 'Useresponse Folder',
        'description' => '',
        'module'      => 'system',
        'section'     => 'ftp'
    ));
    
    Singular_Core::_("settings")->addSettings(array(
        'key'         => 'top_responses',
        'value'       => 'popular',
        'type'        => 'select',
        'title'       => 'Top Respones',
        'description' => 'Select responses to be displayed in top on home page',
        'module'      => 'system',
        'section'     => 'responses'
    ));
    
    // upgrade db
    $adapter->query("ALTER TABLE  `{$tablePrefix}responses` ADD  `views` BIGINT NOT NULL DEFAULT '0'");
    $adapter->query("ALTER TABLE  `{$tablePrefix}responses` ADD  `order` SMALLINT NOT NULL DEFAULT '1'");
    $adapter->query("UPDATE  `{$tablePrefix}settings` SET `type`='select' WHERE  `key`='show_comments'");
    $translate = Singular_Runtime::extract('Zend_Translate');
    $adapter->query("UPDATE  `{$tablePrefix}activity_logs` SET `comment`='" . $translate->translate('Updated') . "' WHERE  `action`='" . System_Model_DbTable_Logs::CHANGE_STATUS . "'");
    $adapter->query("ALTER TABLE  `{$tablePrefix}languages` DROP `image`");
    
    if (isset($installedModules['loginplus'])) {
        
        Singular_Core::_("settings")->addSettings(array(
            'key'         => 'sso_active_method',
            'value'       => 'none',
            'module'      => 'loginplus',
            'section'     => 'default'
        ));

        Singular_Core::_("settings")->addSettings(array(
            'key'         => 'sso_onelogin_domain',
            'value'       => 'domain.com',
            'type'        => 'text',
            'title'       => 'Integration Domain',
            'description' => 'Domain/Application hostname (ex: yourdomain.com) to integrate OneLogin with.',
            'module'      => 'loginplus',
            'section'     => 'integration'
        ));

        Singular_Core::_("settings")->addSettings(array(
            'key'         => 'sso_onelogin_loginurl',
            'value'       => '',
            'type'        => 'text',
            'title'       => 'External Login URL',
            'description' => '',
            'module'      => 'loginplus',
            'section'     => 'integration'
        ));

        Singular_Core::_("settings")->addSettings(array(
            'key'         => 'sso_onelogin_logouturl',
            'value'       => '',
            'type'        => 'text',
            'title'       => 'External Logout URL',
            'description' => '',
            'module'      => 'loginplus',
            'section'     => 'integration'
        ));
        
        $sql = "ALTER TABLE `{$tablePrefix}users` ADD `ldap_id` varchar(32) NOT NULL DEFAULT '0' AFTER `id`";
        $adapter->query($sql);

        Singular_Core::_("Settings")->addSettings(array(
            'key'         => 'sso_ldap_server',
            'value'       => 'localhost',
            'type'        => 'text',
            'title'       => 'LDAP Host',
            'module'      => 'loginplus',
            'section'     => 'ldap'
        ));

        Singular_Core::_("Settings")->addSettings(array(
            'key'         => 'sso_ldap_port',
            'value'       => '389',
            'type'        => 'text',
            'title'       => 'LDAP Port',
            'module'      => 'loginplus',
            'section'     => 'ldap'
        ));

        Singular_Core::_("Settings")->addSettings(array(
            'key'         => 'sso_ldap_version',
            'value'       => '3',
            'type'        => 'text',
            'title'       => 'Connection Version',
            'module'      => 'loginplus',
            'section'     => 'ldap'
        ));

        Singular_Core::_("Settings")->addSettings(array(
            'key'         => 'sso_ldap_basedn',
            'value'       => 'dc=localhost',
            'type'        => 'text',
            'title'       => 'BaseDN',
            'module'      => 'loginplus',
            'section'     => 'ldap'
        ));

        Singular_Core::_("Settings")->addSettings(array(
            'key'         => 'sso_ldap_map_uuid',
            'value'       => 'uid',
            'type'        => 'text',
            'title'       => 'Username Mapping',
            'description' => 'Field/container (cn, uid) to associate LDAP-UR users in between.',
            'module'      => 'loginplus',
            'section'     => 'ldap',
        ));

        Singular_Core::_("Settings")->addSettings(array(
            'key'         => 'sso_ldap_map_bindrequiresdn',
            'value'       => '0',
            'type'        => 'checkbox',
            'title'       => 'Username in DN Form',
            'description' => 'Some configurations require username to be provided in DN form',
            'module'      => 'loginplus',
            'section'     => 'ldap'
        ));

    }
}

return true;
