<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @category   Loginplus
 * @package    Loginplus_Form
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * Settings form
 *
 * @uses       System_Form_Settings
 * @category   Loginplus
 * @package    Loginplus_Form
 */
class Loginplus_Form_Settings extends System_Form_Settings
{
    /**
     * Initialize form (used by extending classes)
     *
     * @return void
     */
    public function init()
    {
        parent::init();

        foreach ($this as $element) {
            $element->setAllowEmpty(true);
        }

        $element = $this->getElement('submit');
        if ($element instanceof Zend_Form_Element) {
            $class = $element->getAttrib('class') . " inline";
            $element->setAttrib('class', $class);
        }

    }
}
