<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * Language file for "loginplus" module.
 */
return array(
    'Login Plus',
    'Adds support of social logins (Twitter, Facebook, etc) and Single Single-On (OneLogin & LDAP)',
    'Login Plus settings are changed!',
    'In order to create your account we need your email address.',
    'This is one-time procedure',
    'Facebook Application ID',
    'Facebook Application Secret Key',
    'Twitter Consumer Key',
    'Twitter Consumer Secret',
    'Google OAuth Consumer Key',
    'Google OAuth Consumer Secret',
    'Login Plus Settings',
    'Twitter',
    'Facebook',
    'Google',
    'Authenticaton failed',
    'Your account is blocked!',
    'Facebook Login',
    'In order for you to use facebook login, you need to register your application at <a target="_blank" href="http://developers.facebook.com/apps">developers.facebook.com/apps</a>. Click on Create New App button. Enter any name and namespace for your app. Follow further instructions.',
    'Once application is created, enter your App Domain and under Website section - your Site Url. Make sure to enter site url where your UseResponse is located.',
    'When finished, take App ID/API Key and App Secret.',
    'Twitter Login',
    'To register application go to <a target="_blank" href="https://dev.twitter.com/apps">https://dev.twitter.com/apps</a> and click Create New Application.',
    'You need to enter Web Site where your community is located, and Callback URL as stated in example: <a href="#">http://example.com/login-oauth/twitter</a> where <a href="#">http://example.com</a> is url where UseResponse is located.',
    'Once app is created, take Consumer key and Consumer Secret.',
    'Google Login',
    'To register application in google, please follow online instructions: <a target="_blank" href="http://code.google.com/intl/en-En/apis/accounts/docs/RegistrationForWebAppsAuto.html">http://code.google.com/intl/en-En/apis/ … sAuto.html</a>.',
    'Leave empty if you don\'t want it to use or <default_key> to use standard keys',
    // Single Sign-On
    'Single Sign-On',
    'Single Sign-on Settings',
    'Select Method',
    'Choose one of methods if you are going to use Single Sign-On along with classic and social logins',
    'None',
    'OneLogin',
    'Single Sign-On is disabled!',
    'Integration Details',
    'Your application settings to use with SSO SDK',
    'Integration Domain',
    'Domain/Application hostname (ex: yourdomain.com) to integrate OneLogin with.',
    'External Login URL',
    'External Logout URL',
    'LDAP Host',
    'LDAP Port',
    'Connection Version',
    'BaseDN',
    'Username Mapping',
    'Field/container (cn, uid) to associate LDAP-UR users in between.',
    'Username in DN Form',
    'OneLogin',
    'OneLogin is a way to integrate sign in/up process of your applications with UseResponse, allowing users to be automaically authorized at UseResponse when you are logged in integrated application.',
    'More details about OneLogin integration could be found at <a href="http://www.useresponse.com/docs/admin-manual/single-sign-on">Single Sign-On</a> documentation',
    'This Single Sign-On feature allows to authenticate users against LDAP server of your choice (Microsoft Windows Active Directory, OpenLDAP), in addition to standard authentication methods provided by UseResponse.',
    'More details on LDAP configuration settings could be found at <a href="http://www.useresponse.com/docs/admin-manual/sso-ldap">LDAP</a> documentation',
    'LDAP settings are changed!',
    'You have provided invalid LDAP credentials',
    'Successfully logged in via LDAP',
    'OneLogin domain name must be specified',
    'All fields are required!',
    'Some configurations require username to be provided in DN form',
    'LDAP Username',
    'LDAP Password',
    'You can\'t use LDAP method as it requires PHP Extention - [Ldap]',
    'Enabling this option will remove native login and registration forms. Accessing /login url will work for troubleshooting.',
    'Use Only SSO Authentication',
    'Enable this if you login using your app. For troubleshooting go to /login',
    'Disable Registration Emails',
    'Enable it for users to think they have only one account in your app',
    'To proceed, please choose required action!'
);
