<?php

class Loginplus_Model_Integration
{
    public static function getSecret($domain)
    {
        $view = Zend_Layout::getMvcInstance()->getView();
        $secretKey = md5($view->baseUrl() . $domain).md5($domain);
        return $secretKey;
    }

    /**
     * Decrypts string variable using key provided
     *
     * @param $string
     * @param $key
     * @return string
     */
    public static function decrypt($string, $key)
    {
        $key = sha1($key);
        $strLen = strlen($string);
        $keyLen = strlen($key);
        $j=0; $output='';
        for ($i = 0; $i < $strLen; $i+=2) {
            $ordStr = hexdec(base_convert(strrev(substr($string,$i,2)),36,16));
            if ($j == $keyLen) { $j = 0; }
            $ordKey = ord(substr($key,$j,1));
            $j++;
            $output .= chr($ordStr - $ordKey);
        }
        return $output;
    }

    public static function encrypt($string, $key)
    {
        $key = sha1($key);
        $strLen = strlen($string);
        $keyLen = strlen($key);
        $j=0; $hash='';
        for ($i = 0; $i < $strLen; $i++) {
            $ordStr = ord(substr($string,$i,1));
            if ($j == $keyLen) { $j = 0; }
            $ordKey = ord(substr($key,$j,1));
            $j++;
            $hash .= strrev(base_convert(dechex($ordStr + $ordKey),16,36));
        }
        return $hash;
    }     
    
    public static function generateHash($data, $key)
    {
        if (!isset($data['fullname']) || !isset($data['user_id']) || !isset($data['email']) || !isset($data['source'])
        ) {
            return false;
        }
        $key = sha1(md5(strrev($key)));
        $hashable = array(
            $data['fullname'],
            $data['user_id'],
            $data['email'],
            $data['source']
        );
        $hashable = implode($key, $hashable);

        return sha1(strrev($hashable));
    }
}
