<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @category   Resources
 * @package    Resources_Model
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * email_templates rowset model
 *
 * @uses       System_Model_Rowset
 * @category   Resources
 * @package    Resources_Model
 */
class Resources_Model_Templates extends System_Model_Rowset
{
    /**
     * Returns only active template ids
     *
     * @return array
     */
    public function getActiveValues()
    {
        $values = array();
        foreach ($this as $item) {
            if ($item->is_active) {
                $values[$item->id] = $item->id;
            }
        }
        return $values;
    }
}
