<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @category   System
 * @package    System_Filter
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * System_Filter_ZeroToDash
 *
 * @uses       Zend_Filter_Interface
 * @category   System
 * @package    System_Filter
 */
class System_Filter_ZeroToDash implements Zend_Filter_Interface
{
    /**
     * Defined by Zend_Filter_Interface
     *
     * @param string $value
     * @see    parent::filter()
     * @return string
     */
    public function filter($value)
    {
        if (empty($value)) {
            return '-';
        }
        return $value;
    }
}
