<?php
/**************************************************************
 * Copyright USWebStyle Inc., 2011-2012. All Rights Reserved.
 **************************************************************
 * NOTICE:  This source code is the property of USWebStyle, Inc.
 * In no case shall you rent, lease, lend, redistribute
 * any of below source code to a 3rd party individual or entity.
 *
 * @category   System
 * @package    System_View
 * @subpackage System_View_Helper
 * @copyright  USWebStyle Inc., 2011-2012 (http://www.uswebstyle.com)
 * @license    http:/www.useresponse.com/licensing (Commercial)
 */

/**
 * BeforeResponseModerationLinks view helper
 *
 * @uses       Zend_View_Helper_Abstract
 * @category   System
 * @package    System_View
 * @subpackage System_View_Helper
 */
class System_View_Helper_BeforeResponseModerationLinks extends Zend_View_Helper_Abstract
{
    /**
     * Displays before response moderation links
     *
     * @return string
     */
    public function beforeResponseModerationLinks ()
    {
        $data = new stdClass();
        $data->output = '';
        Singular_Event::dispatch("beforeResponseModerationLinks", $data);
        return $data->output;
    }
}
