<?php
/**
 * Modules list form element
 *
 * @category   Singular
 * @package    Singular_Form
 * @subpackage Element
 */
class Singular_Form_Element_ModulesList extends Singular_Form_Element_Select
{
    const ELEMENT_NAME = 'module';
    
    public function init ()
    {
        parent::init();
        $this->_initList();
    }

    protected function _initList ()
    {
        $modules = Singular_Runtime::extract('active_modules');
        $modules = array_combine($modules, $modules);
        $this->setMultiOptions($modules)->setName(self::ELEMENT_NAME);
    }
}
