<?php
/**
 *=BEGIN SINGULAR CORE NEW BSD
 *
 * This file is part of the SingularCore.
 *
 * Copyright(c) 2010-2011, USWebStyle, LLC.
 * http://www.singularcore.com/
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.singularcore.com/license
 *
 *=END SINGULAR CORE NEW BSD
 *
 * @category   Singular
 * @package    Singular_Form
 * @subpackage Element
 * @copyright  Copyright (c) 2011 USWebStyle, LLC. (http://www.uswebstyle)
 * @license    http://www.singularcore.com/license     New BSD License
 */

/**
 * Form element TinyMCE
 *
 * @uses       Zend_Loader_Autoloader_Resource
 * @category   Singular
 * @package    Singular_Form
 * @subpackage Element
 * @copyright  Copyright (c) 2011 USWebStyle, LLC. (http://www.uswebstyle.com)
 * @license    http://www.singularcore.com/license     New BSD License
 */
class Singular_Form_Element_TinyMCE extends Singular_Form_Element_Xhtml
{
    /**
     * Use formTextarea view helper by default
     * 
     * @var string
     */
    public $helper = 'formTextarea';

    /**
     * Initialize object; used by extending classes
     *
     * @return void
     */
    public function init ()
    {
        $this->_initElementViewScriptDecorator('tinymce');
    }
}
