<?php
class Singular_Module_ModuleClassExtender
{
    /**
     * @var Singular_Module_Abstract
     */
    private $_moduleClass;

    /**
     * @param Singular_Module_Abstract $class
     * @return void
     */
    protected function _setModuleClass (Singular_Module_Abstract $class)
    {
        $this->_moduleClass = $class;
    }

    /**
     * @return Singular_Module_Abstract
     */
    public function getModuleClass ()
    {
        return $this->_moduleClass;
    }

    public function hasModuleClass ()
    {
        return $this->_moduleClass instanceof Singular_Module_Abstract;
    }
}
