<?php
class Singular_Stdlib_Array
{
    /**
     * Return true if $var is array or if it can be iterated
     * over and it is not empty
     *
     * @param  mixed $var
     *
     * @return bool
     */
    public static function isForEachable($var)
    {
        return !empty($var) && (is_array($var) || $var instanceof IteratorAggregate || $var instanceof Traversable);
    }

    /**
     * @param $var
     *
     * @return bool
     */
    public static function isAssoc($var)
    {
        return is_array($var) && array_diff_key($var, array_keys(array_keys($var)));
    }
}
