<?php

class Singular_View_Helper_ClickableUrls extends Zend_View_Helper_Abstract
{
    public function clickableUrls ($text = '', $name = null, $attribs = array())
    {
        $pattern = '#(^|[^\"=]{1})(http://|https://|ftp://|mailto:|news:)([^\s<>]+)([\s\n<>]|$)#sm';

        $name = (null === $name) ? '\\2\\3' : $name;

        if (is_array($attribs) && !empty($attribs)) {
            $_attrs = array();
            foreach ($attribs as $aKey => $aVal) {
                if (is_numeric($aKey)) continue;

                $_attrs[] = "{$aKey}=\"{$aVal}\"";
            }
        }

        $attribs = (isset($_attrs)) ? ' ' . implode(' ', $_attrs) : null;

        return preg_replace($pattern,
        "\\1<a href=\"\\2\\3\"{$attribs}>{$name}</a>\\4", $text);
    }
}
