<?php

/**

 * Singular

 *

 * LICENSE

 *

 * The SOFTWARE PRODUCT is protected by copyright treaties,

 * as well as other intellectual property laws and treaties.

 * The SOFTWARE PRODUCT is licensed, not sold.

 * Software.

 * You may install and use one copy of the SOFTWARE PRODUCT

 * for each license purchased or if a site license then you

 * may install any number of copies at the site where the

 * site license is defined.

 * Your rights to use the SOFTWARE PRODUCT are not transferable.

 *

 * @category   Singular

 * @package    Singular_View

 * @subpackage Helper

 * @copyright  Copyright (c) 2010 Zenonis. (http://www.zenonis.com)

 */



 /**

 * @category   Singular

 * @package    Singular_View

 * @copyright  Copyright (c) 2010 Zenonis. (http://www.zenonis.com)

 */

class Singular_View_Helper_Errors extends Zend_View_Helper_Abstract

{

    /**

     * Errors list

     * 

     * @var array

     */

    protected static $_errors = array();

    

    /**

     * Add new error or return all errors list

     * 

     * @param  string $error

     * @return mixed

     */
    public function errors ($errors = null)
    {
        if (is_string($errors)) {
            $this->_pushError($errors);
            return;
        } elseif (is_array($errors)) {
            foreach ($errors as $error) {
                $this->_pushError($error);
            }
            return;
        }

        return isset($this->view->errors) ? $this->view->errors : self::$_errors;
    }

    protected function _pushError ($error)
    {
        self::$_errors[] = $error;
    }

}

