App.setVotes = function(votes) {
    for (id in votes) {
        if (votes[id]*1 > 0) {
            cl = "iLikeIt";
        } else {
            cl = "iDont";
        }
        response = $("#response-" + id);
        button = response.find("." + cl);
        if (button.length) {
            button.addClass("disactive");
        } else {
            response.find(".vote-add-like").addClass("disactive");
        }
    }
}
App.getCookie = function (name) {
    var i,x,y,ARRcookies = document.cookie.split(";");
    for (i=0; i < ARRcookies.length; i++)
    {
      x = ARRcookies[i].substr(0,ARRcookies[i].indexOf("="));
      y = ARRcookies[i].substr(ARRcookies[i].indexOf("=") + 1);
      x = x.replace(/^\s+|\s+$/g, "");
      if (x == name) {
        return unescape(y);
      }
    }
}
$(document).ready(function(){
    responseVotes = {};
    if (App.getParam("isGuest")) {
        votes = App.getCookie('votes');
        if (votes) {
            votes = eval ("(" + votes + ")");
            responseVotes = votes.response;
        }
    } else {
        responseVotes = App.getParam('user_votes', {});
    }
    
    App.setVotes(responseVotes);
    
    // Vote button on responses list
    $(".button-block").live("click", function(){
        if (!App.getParam("votes")) {
            var params = {'get': {} , 'redirect' : $(this).attr("href")};
            App.openLoginPopup(params);
            return false;
        }
        if ($(this).hasClass("disactive")) {
            return false;
        }
        if ($(this).hasClass("iDont") && !$(this).hasClass("notForce") && App.getParam("force_to_comment_negative_vote") == 1) {
            location.href = $(this).parent().find(".content-object-title a").attr("href") + "?add-vote=-1#comment-add";
            return false;
        };

        $(this).parent().find(".button-block").addClass("hide");
        $(this).parent().find(".preloader").show();

        App.remote.get($(this).attr("href"), {format: 'json'}, function(r) {
            var result     = App.remote.parseResult(r),
                responseId = result.data.getParam('responseId'),
                value      = result.data.getParam("value"),
                response   = $("#response-" + responseId);

            response.find(".preloader").hide();
            buttons = response.find(".button-block");

            if (buttons.length > 1) {
                if (value > 0) {
                    button = response.find(".iLikeIt");
                } else {
                    button = response.find(".iDont");
                }
            } else {
                button = buttons;
            }

            var votes = button.parent();
            response.find(".button-block").removeClass("hide");
            if (result.data.isError()) {
                App.notify.error(result.data.getMessage());
                return false;
            }

            var disactive = response.find(".disactive");
            if (!disactive.length) {
                vote = votes.find(".votes span.votes-counter");
                voteSum = result.data.getParam("voteSum");
                vote.html(voteSum.all);
                button.addClass("disactive");
            } else {
                disactive.removeClass("disactive");
                button.addClass("disactive");
            }

            $(document).trigger('response.voteAdded', [result.data]);
            App.notify.success(result.data.getMessage());
        });

        return false;
    });
    
});
