<?php
// Modules: Private, Categories
// Force assign responses' is_private flag inherited from response_categories
if (isset($installedModules['categories']) && isset($installedModules['private'])) {

    $privateCategories = array();
    $privateResponses = array();

    $responsesTable = Singular_Core::_('Db')->getTablePrefix('responses');
    $responseCategoriesTable = Singular_Core::_('Db')->getTablePrefix('response_categories');
    $categoriesTable = Singular_Core::_('Db')->getTablePrefix('categories');

    $query = "SELECT `id` FROM `{$categoriesTable}` WHERE `is_private`=1";
    $privateCategoriesResult = Singular_Core::_('Db')->getAdapter()->fetchAll($query);

    foreach ($privateCategoriesResult as $privateCategory) {
        $privateCategories[]=$privateCategory['id'];
    }

    if (!empty($privateCategories)) {

        $privateCategoriesString = join(',', $privateCategories);
        $query = "SELECT DISTINCT `response_id` FROM `{$responseCategoriesTable}` WHERE `category_id` IN ({$privateCategoriesString})";
        $privateResponsesResult = Singular_Core::_('Db')->getAdapter()->fetchAll($query);
        foreach ($privateResponsesResult as $privateResponse) {
            $privateResponses[] = $privateResponse['response_id'];
        }

        if (!empty($privateResponses)) {
            $privateResponseIds = join(',', $privateResponses);
            $query = "UPDATE `$responsesTable` SET `is_private`=1 WHERE `id` IN ({$privateResponseIds})";
            Singular_Core::_('Db')->getAdapter()->query($query);
        }

    }
}

// Update "system_version" setting to 2.3.1
Singular_Core::_('Settings')->changeSetting(
    'system_version',
    array('value' => '2.3.1')
);

return true;
