<?php
// Modules: Moderation
if (isset($installedModules['moderation'])) {
    if (!Singular_Core::_('Db')->hasTableField('is_trusted', 'users')) {
        $table = Singular_Core::_('Db')->getTablePrefix('users');
        Singular_Core::_('Db')->execute(
            "ALTER TABLE `{$table}` ADD COLUMN `is_trusted` TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL AFTER `logged_at`;"
        );
    }
}

// Update "system_version" setting to 2.3.2
Singular_Core::_('Settings')->changeSetting(
    'system_version',
    array('value' => '2.3.2')
);

return true;
